summaryrefslogtreecommitdiff
path: root/.local/bin/edit_screen.sh
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/edit_screen.sh')
-rwxr-xr-x.local/bin/edit_screen.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/.local/bin/edit_screen.sh b/.local/bin/edit_screen.sh
new file mode 100755
index 0000000..39eda14
--- /dev/null
+++ b/.local/bin/edit_screen.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+tmpfile=$(mktemp /tmp/st-edit.XXXXXX)
+trap 'rm "$tmpfile"' 0 1 15
+cat > "$tmpfile"
+$TERMINAL -e "$EDITOR" "$tmpfile"